com.independentsoft.exchange

## Enum Priority

- java.lang.Object
- - java.lang.Enum<Priority>
  - - com.independentsoft.exchange.Priority

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Priority>

      public enum Priority
      extends java.lang.Enum<Priority>

  Indicates the order in which a rule is to be run.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIGH` High priority.
    `LOW` Low priority.
    `NONE` None priority.
    `NORMAL` Normal priority.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Priority` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Priority[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOW

          public static final Priority LOW

      Low priority.

    - #### NORMAL

          public static final Priority NORMAL

      Normal priority.

    - #### HIGH

          public static final Priority HIGH

      High priority.

    - #### NONE

          public static final Priority NONE

      None priority.

  - ### Method Detail

    - #### values

          public static Priority[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Priority c : Priority.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Priority valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null